> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Perform operations on organization invitation.



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/organization-invitations/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/organization-invitations/:
    get:
      tags:
        - Organization Invitations
      summary: List
      description: Perform operations on organization invitation.
      operationId: organization_invitations_list
      parameters:
        - in: query
          name: email
          schema:
            type: string
        - in: query
          name: organization_id
          schema:
            type: string
            format: uuid
          description: Invitee's/Inviter's organization.
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: status
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
          description: |-
            Status of the invitation, default status is pending.

            * `0` - pending
            * `1` - accepted
            * `2` - cancelled
            * `3` - expired
            * `4` - revoked
        - in: query
          name: token
          schema:
            type: string
            format: uuid
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOrganizationInvitationList'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedOrganizationInvitationList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationInvitation'
    OrganizationInvitation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        token:
          type: string
          format: uuid
          readOnly: true
          description: Token is used to validate the invitation.
        expiry_date:
          type: string
          format: date-time
          readOnly: true
          description: Date is calculated in save().
        status:
          allOf:
            - $ref: '#/components/schemas/OrganizationInvitationStatusEnum'
          description: |-
            Status of the invitation, default status is pending.

            * `0` - pending
            * `1` - accepted
            * `2` - cancelled
            * `3` - expired
            * `4` - revoked
          minimum: -2147483648
          maximum: 2147483647
        organization:
          allOf:
            - $ref: '#/components/schemas/Organization'
          readOnly: true
        organization_id:
          type: string
          format: uuid
          writeOnly: true
        inviter_member:
          allOf:
            - $ref: '#/components/schemas/OrganizationMember'
          readOnly: true
        email:
          type: string
          format: email
          title: Email address
          description: Invitee's email address.
          maxLength: 255
        first_name:
          type: string
          nullable: true
          description: Invitee's first name.
          maxLength: 25
        last_name:
          type: string
          nullable: true
          description: Invitee's last name.
          maxLength: 25
        email_sent:
          type: boolean
          readOnly: true
        role:
          allOf:
            - $ref: '#/components/schemas/RoleEnum'
          description: |-
            Invitee's role, default role is member.

            * `0` - member
            * `1` - collaborator
            * `2` - administrator
          minimum: -2147483648
          maximum: 2147483647
        accessible_portfolios:
          type: array
          items:
            $ref: '#/components/schemas/Portfolio'
          readOnly: true
        accessible_portfolio_ids:
          type: array
          items:
            type: string
            format: uuid
          writeOnly: true
      required:
        - accessible_portfolios
        - email
        - email_sent
        - expiry_date
        - id
        - inviter_member
        - organization
        - organization_id
        - token
    OrganizationInvitationStatusEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      type: integer
      description: |-
        * `0` - pending
        * `1` - accepted
        * `2` - cancelled
        * `3` - expired
        * `4` - revoked
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - id
    OrganizationMember:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
      required:
        - email
        - first_name
        - id
        - last_name
    RoleEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - member
        * `1` - collaborator
        * `2` - administrator
    Portfolio:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
      required:
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````